Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.issues.controls
Class IssuesControlImpl

    java.lang.Object
      com.bea.apps.groupspace.controls.generic.ContentControlBaseImpl<T,Folder>
          com.bea.apps.groupspace.controls.generic.GroupSpaceContentControlImpl<T>
              com.bea.apps.groupspace.controls.generic.CM_ControlImpl<Issue>
                  com.bea.apps.groupspace.issues.controls.IssuesControlImpl

All Implemented Interfaces
  CM_Control<Issue>, ContentControlBase<Issue,Folder>, GroupSpaceContentControl<Issue>, IssuesControl, Serializable

    public class IssuesControlImpl

extends CM_ControlImpl<Issue>
implements IssuesControl, Serializable

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`ContentControlBase.NodeSearchType, ContentControlBase.Params`

Field Summary

Fields inherited from class com.bea.apps.groupspace.controls.generic.CM_ControlImpl
`ccCmxControl, folderControl, topNode, topNodeName`

Fields inherited from class com.bea.apps.groupspace.controls.generic.GroupSpaceContentControlImpl
`ALL_TYPES, contentContext`

Fields inherited from class com.bea.apps.groupspace.controls.generic.ContentControlBaseImpl
`beanClass, contentFactory, DEFAULT_SEARCH_LOAD_SIZE, nodeManager, objectClassType, repoID, repoName, searchManager, typeManager`

Constructor Summary
`IssuesControlImpl()`

Method Summary
`Issue` | `create(Folder parentFolder, String description, CommunityContent.Visibility visibility, String status, String resolution)` This one creates the issue below an empty folder.
`Issue` | `create(Folder parentFolder, String title, String description, String owner, CommunityContent.Visibility visibility, String status, String priority, boolean isKnowledge, String resolution, ID[] relatedNodes)`
`Issue` | `create(Folder parentFolder, String title, String description, String owner, CommunityContent.Visibility visibility, String status, String priority, boolean isKnowledge, String resolution, String notes, ID[] relatedNodes, Set<CmxControl.PropertyPair> dynamicProps)`
`protected Issue` | `createObject(Node node)` We're creating Issues from a Node
`ObjectClass` | `createType()`
`String` | `getNotes(Issue issue)`
`void` | `onCreate()` Put any other init params here.

Methods inherited from class com.bea.apps.groupspace.controls.generic.CM_ControlImpl
`createFolder, getCommunityFolderNode, getDefaultFolder, getFolderByExpression, getPersonalContentFolder, getTopNode, getUserFolder`

Methods inherited from class com.bea.apps.groupspace.controls.generic.GroupSpaceContentControlImpl
`asSet, createFolder, findByDescription, findById, findByTitle, findContentById, findMany, getAll, getAllNodes, getCommunity, getCommunityAndPrivate, getCommunityFolder, getFolder, getImmediateChildrenAsPagedResult, getPersonal, getPrivate, getReferencingContent, getReferencingContent, getRelatedContent, move, promoteToCommunity, remove, removeAll, removeCommunityAndPrivate, removePersonal, removePrivate, update`

Methods inherited from class com.bea.apps.groupspace.controls.generic.ContentControlBaseImpl
`createObjectClass, createObjects, createObjects, findMany, findManyChildren, getAllChildren, getAllPropertyDefinitions, getDefaultStringValue, getImmediateChildren, getImmediateChildren, getObjectClass, getTopFolder, move, recurseRepository, remove, remove, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.CM_Control
`getPersonalContentFolder`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.GroupSpaceContentControl
`asSet, createFolder, createFolder, findByDescription, findByTitle, getCommunity, getCommunityAndPrivate, getCommunityFolder, getPersonal, getPrivate, getReferencingContent, getReferencingContent, getRelatedContent, promoteToCommunity, removeCommunityAndPrivate, removePersonal, removePrivate`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`createObjectClass, createObjects, createObjects, findById, findContentById, findMany, findMany, findManyChildren, getAllPropertyDefinitions, getDefaultStringValue, getFolder, getImmediateChildren, getImmediateChildren, getImmediateChildrenAsPagedResult, getObjectClass, getTopFolder, getTopNode, move, move, remove, remove, remove, removeAll, update, update`

Constructor Detail

### IssuesControlImpl

    public IssuesControlImpl()

Method Detail

### create

    public Issue create(Folder parentFolder,
                        String description,
                        CommunityContent.Visibility visibility,
                        String status,
                        String resolution)
                 throws NoSuchNodeException,
                        RepositoryException,
                        AuthorizationException,
                        CharacterCodingException

  This one creates the issue below an empty folder. The parent folder is a hierarchy node. This one uses the description as the node name Chuck!

  Specified by:
    `create` in interface `IssuesControl`
  Throws
    `NoSuchNodeException`
    `RepositoryException`
    `AuthorizationException`
    `CharacterCodingException`

### create

    public Issue create(Folder parentFolder,
                        String title,
                        String description,
                        String owner,
                        CommunityContent.Visibility visibility,
                        String status,
                        String priority,
                        boolean isKnowledge,
                        String resolution,
                        ID[] relatedNodes)
                 throws NoSuchNodeException,
                        RepositoryException,
                        AuthorizationException,
                        CharacterCodingException

  Specified by:
    `create` in interface `IssuesControl`
  Returns
  Throws
    `NoSuchNodeException`
    `RepositoryException`
    `AuthorizationException`
    `CharacterCodingException`

### create

    public Issue create(Folder parentFolder,
                        String title,
                        String description,
                        String owner,
                        CommunityContent.Visibility visibility,
                        String status,
                        String priority,
                        boolean isKnowledge,
                        String resolution,
                        String notes,
                        ID[] relatedNodes,
                        Set<CmxControl.PropertyPair> dynamicProps)
                 throws NoSuchNodeException,
                        RepositoryException,
                        AuthorizationException,
                        CharacterCodingException

  Specified by:
    `create` in interface `IssuesControl`
  Returns
  Throws
    `NoSuchNodeException`
    `RepositoryException`
    `AuthorizationException`
    `CharacterCodingException`

### createType

    public ObjectClass createType()
                           throws NoSuchNodeException,
                                  RepositoryException,
                                  AuthorizationException

  Specified by:
    `createType` in class `ContentControlBaseImpl<Issue,Folder>`
  Throws
    `NoSuchNodeException`
    `RepositoryException`
    `AuthorizationException`

### getNotes

    public String getNotes(Issue issue)
                    throws RepositoryException,
                           AuthorizationException

  Specified by:
    `getNotes` in interface `IssuesControl`
  Throws
    `RepositoryException`
    `AuthorizationException`

### createObject

    protected Issue createObject(Node node)

  We're creating Issues from a Node

  Specified by:
    `createObject` in class `ContentControlBaseImpl<Issue,Folder>`

### onCreate

    public void onCreate()
                  throws org.apache.beehive.controls.api.ControlException

  Put any other init params here. Note they can go on the control interface annotations. See the CM_Control.java file for an example of declaring parameters, and the CM_ControlImpl.jcs file for accessing those parameters

  Overrides:
    `onCreate` in class `CM_ControlImpl<Issue>`
  Throws
    `org.apache.beehive.controls.api.ControlException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved